// ASCII_IN.DCL
// Read an ASCII coordinate point file into a drawing.
// Fred R. Weaver  (c) March, 1993

preview_button : retirement_button {
        label           = "Preview...";
        key             = "preview";
        mnemonic        = "P";
}

ok_cancel_preview : column {
    : row {
        fixed_width = true;
        alignment = centered;
        ok_button;
        cancel_button;
        preview_button;
    }
}

ascii_in : dialog {
        label = "Import ASCII";
        : row {
            : button {
                label       = "Data File...";
                key         = "datafile";
                mnemonic    = "D";
                fixed_width = true;
            }
            : edit_box {
                edit_width  = 20;
                key         = "file_name";
                fixed_width = true;
            }
        }
        : row {
            : edit_box {
                label       = "Scale";
                edit_with   = 2;
                key         = "scale";
                mnemonic    = "S";
            }
            : button {
                label       = "Format...";
                key         = "dataformat";
                mnemonic    = "F";
                fixed_width = true;
            }
            : text {
                key         = "format_in";
                width       = 9;
            }
        }
        : errtile {
            key = "error";
        }
        ok_cancel_preview;
}
show_file : dialog {
    label = "Read ASCII File";
    : list_box {
        key = "txt";
        height = 10;
        width  = 60;
    }
    ok_only;
}
format : dialog {
    label = "Format";
    : radio_column {
        : radio_button {
            label  = "P,N,E,Z,D";
            key    = "pnezd";
        }
        : radio_button {
            label  = "P,N,E,Z";
            key    = "pnez";
        }
        : radio_button {
            label  = "P,N,E";
            key    = "pne";
        }
        : radio_button {
            label  = "N,E";
            key    = "ne";
        }
        : radio_button {
            label  = "N,E,Z,D";
            key    = "nezd";
        }
        : radio_button {
            label  = "X,Y,Z,D";
            key    = "xyzd";
        }
        : radio_button {
            label  = "P,X,Y";
            key    = "pxy";
        }
    }
    ok_only;
}

